<template>
	<view class="btn_address bottomFit">
		<view class="box_written" v-if="writtenConsent">
			<checkbox-group>
				<checkbox class="round" style="transform:scale(0.7)" :checked="writtenFlag" />
			</checkbox-group>
			<view class="title_written">确定已在线下就诊，使用过所购买药品且无过敏或不良反应，当病情稳定，我已阅读并同意 <span @click="goinform">《互联网诊疗风险告知及知情同意书》</span></view>
		</view>
		<view class="box_address_btn center_in" @click="buttonClick">{{title}}</view>
	</view>
</template>

<script>
	export default {
		props: {
			title: {
				type: String,
				default () {
					return '新增'
				}
			},
			writtenConsent: {
				type: Boolean,
				default () {
					return false
				}
			},
		},
		data() {
			return {
				writtenFlag: false,
			}
		},
		methods:{
			goinform(){
				uni.navigateTo({
					url: '/pages/medicine/inform'
				});
			},
			// 点击按钮
			buttonClick(){
				this.$emit('buttonClick')
			}
		}
	}
</script>

<style lang="scss">
	.btn_address {
		position: fixed;
		bottom: 0;
		left: 0;
		right: 0;
		padding: 20rpx;
		background-color: #fff;
	}

	.box_address_btn {
		/*#ifdef H5*/
		margin-bottom: 20rpx;
		/*#endif*/
		width: 100%;
		color: #fff;
		height: 80rpx;
		background-color: $x-color;
		border-radius: 50rpx;
		font-size: 30rpx;
	}

	.box_written {
		display: flex;
		margin-bottom: 15rpx;
	}

	.title_written {
		font-size: 22rpx;

		span {
			color: #ff9900;
		}
	}
</style>